#!/usr/bin/ruby

require 'rubygems'

require 'simplecov'
# require 'json'

# Be silent so we don't muck up test runs that look at output.
class NullFormatter; def format(result); ""; end; end
SimpleCov.formatter = NullFormatter

# Use the project-level root despite executing in a sub-dir of it.
SimpleCov.root(File.expand_path('../../..', __FILE__))

SimpleCov.start do
  # Being in a sub-dir may cause us some filtering issues...
  filters.clear
  add_filter do |src|
    !(src.filename =~ /^#{SimpleCov.root}/)
  end
  command_name "RSpec/#{ENV["SIMPLECOV_COMMAND_NAME"]}"
end

root_dir = File.expand_path('../../..', __FILE__)
$LOAD_PATH << root_dir unless $LOAD_PATH.include?(root_dir)
lib_dir = File.join(root_dir, 'lib')
$LOAD_PATH << lib_dir unless $LOAD_PATH.include?(lib_dir)

require 'tmpdir'
require 'bundler/audit/database'
Bundler::Audit::Database.path = Dir.mktmpdir('ruby-advisory-db')
Bundler::Audit::Database.update!

load 'bin/bundle-audit'
